Subject: bug#72404: closed (Re: bug#72404: 30.0.60; Customization of options is broken)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 11 Jan 2025 11:58:03 +0000

Your bug report

#72404: 30.0.60; Customization of options is broken

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72404: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72404
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72404: 30.0.60; Customization of options is broken
From: Eli Zaretskii <[email-masked]>
To: Mauro Aranda <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 11 Jan 2025 13:57:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 1 Jan 2025 08:31:14 -0300
> Cc: Eli Zaretskii <[email-masked]>, Stephen Berman <[email-masked]>,
>  [email-masked], [email-masked]
> From: Mauro Aranda <[email-masked]>
> 
> Looks to me that it's a matter of order of function calls.  The return
> value of widget-create-child-value was used for setting child.
> 
> I found this by using widget-browse-at at the checkbox.  I navigated to
> the checkbox parent, the set widget, and saw that only the unselected
> children were specified as children of the set widget.
> 
> The attached patch should fix it.

Thanks, installed on the emacs-30 branch, and closing the bug.

Subject: 30.0.60; Customization of options is broken
From: Juri Linkov <[email-masked]>
To: [email-masked]
Date: Wed, 31 Jul 2024 20:25:30 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I found this bug while testing 'tab-bar-format', but all
customizable variables that use :options are broken in emacs-30.
Here is an example for 'log-edit-hook':

0. emacs-30 -Q
1. Eval: (require 'log-edit)
2. Check the value of 'log-edit-hook'.
   Its value is
   (log-edit-insert-message-template log-edit-insert-cvs-template log-edit-insert-changelog log-edit-show-files)
3. M-x customize-variable RET log-edit-hook RET
4. Click the checkbox to enable 'log-edit-insert-cvs-rcstemplate'.
5. Apply
6. Check the value of 'log-edit-hook'.
   Its value is (log-edit-insert-cvs-rcstemplate)

In GNU Emacs 30.0.60 (build 1, x86_64-pc-linux-gnu, X toolkit,
 cairo version 1.16.0, Xaw3d scroll bars) of 2024-07-31
Repository revision: ceb5a1522270c41d0c9f5e6b52d61e3173f72f1d
Repository branch: emacs-30
Windowing system distributor 'The X.Org Foundation', version 11
Configured using: 'configure --with-native-compilation --with-x-toolkit=lucid'

Whereas in GNU Emacs 29.3.50 it was correctly changed to
(log-edit-insert-message-template log-edit-insert-cvs-rcstemplate
log-edit-insert-cvs-template log-edit-insert-changelog log-edit-show-files)